Update Storefront Product Settings

Updates product settings. - Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only. - `null` should be supplied to delete overrides per given channel and to inherit values from global level. Partial updates are not supported and all settings should be supplied with `null` value in order to delete overrides per channel.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
show_product_pricebooleanOptional
Determines the visibility of the product price.
show_product_skubooleanOptional
Determines the visibility of the product SKU.
show_product_weightbooleanOptional

Determines the visibility of the productʼs weight.

show_product_brandbooleanOptional

Determines the visibility of the productʼs brand.

show_product_shippingbooleanOptional

Determines the visibility of the productʼs shipping option.

show_product_ratingbooleanOptional

Determines the visibility of the productʼs rating.

default_preorder_messagestringOptional

The productʼs pre-order message. If undefined, the message defaults to the storewide setting.

show_breadcrumbs_product_pagesenumOptional
Allowed values:
show_add_to_cart_qty_boxbooleanOptional
Determines the visibility of the Add to Cart quantity setting.
show_add_to_wishlistbooleanOptional
Determines the visibility of the Add to Wishlist setting.
hide_price_from_guestsbooleanOptional
Determines the visibility of the price.

Response

OK. null indicates that a particular field has not been overridden on a channel level when channel level settings are requested

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error